aboutsummaryrefslogtreecommitdiffstats
path: root/tests/various
diff options
context:
space:
mode:
authorN. Engelhardt <nak@symbioticeda.com>2019-12-12 20:51:59 +0100
committerN. Engelhardt <nak@symbioticeda.com>2019-12-12 20:51:59 +0100
commit1187e91c2f2684cb204c555cb3d53b68c7381c40 (patch)
treedad1da30948b1caa7fc4a0a5c4f214eea9199413 /tests/various
parent4c7cda1c8b8a782da90f6bbd00e0a98aa1817f6e (diff)
downloadyosys-1187e91c2f2684cb204c555cb3d53b68c7381c40.tar.gz
yosys-1187e91c2f2684cb204c555cb3d53b68c7381c40.tar.bz2
yosys-1187e91c2f2684cb204c555cb3d53b68c7381c40.zip
add test and make help message more verbose
Diffstat (limited to 'tests/various')
-rwxr-xr-xtests/various/scratchpad.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/various/scratchpad.sh b/tests/various/scratchpad.sh
new file mode 100755
index 000000000..4e92473f8
--- /dev/null
+++ b/tests/various/scratchpad.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+trap 'echo "ERROR in scratchpad.sh" >&2; exit 1' ERR
+
+../../yosys -qp "scratchpad -set foo \"bar baz\"; \
+scratchpad -copy foo oof; scratchpad -unset foo; \
+tee -o scratchpad1.log scratchpad -get oof; \
+tee -o scratchpad2.log scratchpad -get foo"
+
+test "$(cat scratchpad1.log)" = "bar baz"
+test "$(cat scratchpad2.log)" = "\"foo\" not set"
+
+rm scratchpad1.log
+rm scratchpad2.log